

# GetResolver
<a name="API_GetResolver"></a>

Retrieves a `Resolver` object.

## Request Syntax
<a name="API_GetResolver_RequestSyntax"></a>

```
GET /v1/apis/apiId/types/typeName/resolvers/fieldName HTTP/1.1
```

## URI Request Parameters
<a name="API_GetResolver_RequestParameters"></a>

The request uses the following URI parameters.

 ** [apiId](#API_GetResolver_RequestSyntax) **   <a name="appsync-GetResolver-request-uri-apiId"></a>
The API ID.  
Required: Yes

 ** [fieldName](#API_GetResolver_RequestSyntax) **   <a name="appsync-GetResolver-request-uri-fieldName"></a>
The resolver field name.  
Length Constraints: Minimum length of 1. Maximum length of 65536.  
Pattern: `[_A-Za-z][_0-9A-Za-z]*`   
Required: Yes

 ** [typeName](#API_GetResolver_RequestSyntax) **   <a name="appsync-GetResolver-request-uri-typeName"></a>
The resolver type name.  
Length Constraints: Minimum length of 1. Maximum length of 65536.  
Pattern: `[_A-Za-z][_0-9A-Za-z]*`   
Required: Yes

## Request Body
<a name="API_GetResolver_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetResolver_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "resolver": { 
      "cachingConfig": { 
         "cachingKeys": [ "string" ],
         "ttl": number
      },
      "code": "string",
      "dataSourceName": "string",
      "fieldName": "string",
      "kind": "string",
      "maxBatchSize": number,
      "metricsConfig": "string",
      "pipelineConfig": { 
         "functions": [ "string" ]
      },
      "requestMappingTemplate": "string",
      "resolverArn": "string",
      "responseMappingTemplate": "string",
      "runtime": { 
         "name": "string",
         "runtimeVersion": "string"
      },
      "syncConfig": { 
         "conflictDetection": "string",
         "conflictHandler": "string",
         "lambdaConflictHandlerConfig": { 
            "lambdaConflictHandlerArn": "string"
         }
      },
      "typeName": "string"
   }
}
```

## Response Elements
<a name="API_GetResolver_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [resolver](#API_GetResolver_ResponseSyntax) **   <a name="appsync-GetResolver-response-resolver"></a>
The `Resolver` object.  
Type: [Resolver](API_Resolver.md) object

## Errors
<a name="API_GetResolver_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConcurrentModificationException **   
Another modification is in progress at this time and it must complete before you can make your change.  
HTTP Status Code: 409

 ** NotFoundException **   
The resource specified in the request was not found. Check the resource, and then try again.  
HTTP Status Code: 404

 ** UnauthorizedException **   
You aren't authorized to perform this operation.  
HTTP Status Code: 401

## See Also
<a name="API_GetResolver_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appsync-2017-07-25/GetResolver) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appsync-2017-07-25/GetResolver) 